//
// Created by Иван_Архипов on 24.11.2017.
//

#ifndef LOTRO_DAT_LIBRARY_UNKNOWNSUBFILE_H
#define LOTRO_DAT_LIBRARY_UNKNOWNSUBFILE_H

#include "SubFile.h"

namespace LOTRO_DAT {
    class UnknownSubFile : public SubFile {
    public:
        UnknownSubFile() = delete;
        explicit UnknownSubFile(const UnknownSubFile &other) = delete;
        SubFile &operator =(const UnknownSubFile &other) = delete;

        UnknownSubFile(SubFile preinit_file);

        FILE_TYPE FileType() const override;
        std::string Extension() const override;

        SubfileData PrepareForExport(const BinaryData &file_data) override;

        BinaryData MakeForImport(const BinaryData &old_data, const SubfileData &data) override;

    };
};




#endif //LOTRO_DAT_LIBRARY_UNKNOWNSUBFILE_H
